Bug 114123 - Misleading error message when filtering on unknown class
Misleading error message when filtering on unknown class
Status: CLOSED WONTFIX
Product: Red Hat Web Application Framework
Classification: Retired
Component: persistence (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-22 15:06 EST by Daniel Berrange
Modified: 2007-04-18 13:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 13:31:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2004-01-22 15:06:15 EST
Description of problem:

Consider the code:


BigDecimal[] srcIDs = ...

DomainCollection terms = domain.getTerms();
terms.addEqualsFilter("model.related.link.relationType", "related");
terms.addFilter("model.related.id in :ids").set("ids", srcIDs);


When this runs it dies with

com.arsdigita.util.WrappedError: SQL error binding [3] to
[Ljava.math.BigDecimal;@53be3972
(root cause: The table for [Ljava.math.BigDecimal; is not in the database.
Contact the DBA, as the database is in an inconsistent state.)
	at
com.redhat.persistence.engine.rdbms.SQLWriter.bind(SQLWriter.java(Compiled
Code))
	at
com.redhat.persistence.engine.rdbms.RDBMSEngine.execute(RDBMSEngine.java:481)
	at
com.redhat.persistence.engine.rdbms.RDBMSEngine.execute(RDBMSEngine.java:430)
	at
com.redhat.persistence.engine.rdbms.RDBMSEngine.execute(RDBMSEngine.java:261)
	at
com.redhat.persistence.engine.rdbms.RDBMSEngine.execute(RDBMSEngine.java:252)
	at com.redhat.persistence.Cursor.execute(Cursor.java(Inlined Compiled
Code))
	at com.redhat.persistence.Cursor.next(Cursor.java(Compiled Code))
	at
com.arsdigita.persistence.DataQueryImpl.next(DataQueryImpl.java(Compiled
Code))
	at com.arsdigita.domain.DomainQuery.next(DomainQuery.java(Compiled Code))
	at
com.arsdigita.aplaws.ui.ItemCategoryPicker.getRelatedTerms(ItemCategoryPicker.java:126)


THis is a rather misleading error message.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Berrange 2004-01-22 15:08:42 EST
As well as fixing the erorr message, persistence should allow an array
of values to be passed in. See bug 114124
Comment 2 Vadim Nasardinov 2004-01-22 15:27:45 EST
I ran into the same error a couple of days ago and was equally
confounded by the error message.  FWIW, the error message
about "contacting the DBA" comes from the PostgreSQL JDBC driver
-- not from persistence.  It *is* rather confusing.

Comment 3 Daniel Berrange 2006-09-02 13:31:30 EDT
Closing old tickets

Note You need to log in before you can comment on or make changes to this bug.